package com.cse.bpass;

/**
 * @author Dale Noh, Youngmin Lee, Hyunjoon Lee
 * CSE 481H - Accessibility Capstone
 * This class is to start an activity for BPass gestures
 */

import java.util.Locale;

import android.app.Activity;
import android.content.Context;
import android.os.Bundle;
import android.speech.tts.TextToSpeech;
import android.view.Display;
import android.view.KeyEvent;
import android.view.WindowManager;

public abstract class BPassPage extends Activity implements TextToSpeech.OnInitListener{
	protected static TextToSpeech tts;
	
	/**
	 * Create and initialize the BPassPage's activity
	 * (non-Javadoc)
	 * @see android.app.Activity#onCreate(android.os.Bundle)
	 */
	@Override
	public void onCreate(Bundle savedInstanceState){
		super.onCreate(savedInstanceState);
		
		tts = new TextToSpeech(this, this);
		tts.setLanguage(Locale.US);
		
		Display dis = ((WindowManager)getSystemService(Context.WINDOW_SERVICE)).getDefaultDisplay();
		startPage(dis.getWidth(), dis.getHeight());
	}
	
	/*
	 * start view of the page.
	 */
	protected abstract void startPage(int width, int height);
	
	/**
	 * Initialize the TextToSpeech service onInit
	 * (non-Javadoc)
	 * @see android.speech.tts.TextToSpeech.OnInitListener#onInit(int)
	 */
	public abstract void onInit(int arg0);
	
	/**
	 * for key down action
	 * (non-Javadoc)
	 * @see android.app.Activity#onAttachedToWindow()
	 */
	@Override
	public void onAttachedToWindow(){
		super.onAttachedToWindow();
		this.getWindow().setType(WindowManager.LayoutParams.TYPE_KEYGUARD);
	}
	
	/**
	 * destroy TextToSpeech service
	 * @see android.app.Activity#onDestroy()
	 */
	@Override
	public void onDestroy(){
		if(tts != null){
			tts.stop();
			tts.shutdown();
		}
		super.onDestroy();
	}
	
	/**
	 * blocks the action for bottom part of Android buttons
	 * (non-Javadoc)
	 * @see android.app.Activity#onKeyDown(int, android.view.KeyEvent)
	 */
	@Override
	public boolean onKeyDown(int keyCode, KeyEvent event){
		return false;
	}
}
