package com.cse.bpass;

/**
 * @author Dale Noh, Youngmin Lee, Hyunjoon Lee
 * CSE 481H - Accessibility Capstone
 * This is to start the setting.
 */

import java.io.File;

import android.content.Context;
import android.os.Vibrator;
import android.speech.tts.TextToSpeech;

public class Setting extends BPassPage implements TextToSpeech.OnInitListener{
	/**
	 * initiate the TextToSpeech service and announce start page.
	 * (non-Javadoc)
	 * @see com.cse.bpass.BPassPage#onInit(int)
	 */
	public void onInit(int status) {
		tts.speak("Setting button clicked", TextToSpeech.QUEUE_ADD, null);
	}

	/*
	 * start the setting page to set and change the passcode
	 * (non-Javadoc)
	 * @see com.cse.bpass.BPassPage#startPage(int, int)
	 */
	@Override
	protected void startPage(int width, int height) {
		setContentView(R.layout.setting);
		
		PasscodeView pv;
		Vibrator v = (Vibrator)getSystemService(Context.VIBRATOR_SERVICE);
		if(new File("/sdcard/password.txt").exists()){
			pv = new PasscodeView(this, width, height, 2, v, tts);
		}else{
			pv = new PasscodeView(this, width, height, 0, v, tts);
		}
		setContentView(pv);
	}
}
