package com.cse.bpass;

/**
 * @author Dale Noh, Youngmin Lee, Hyunjoon Lee
 * CSE 481H - Accessibility Capstone
 * This class is to lock the phone.
 */

import android.content.Context;
import android.os.Vibrator;
import android.speech.tts.TextToSpeech;

public class Start extends BPassPage implements TextToSpeech.OnInitListener{
    /**
	 * initiate the TextToSpeech service and announce start page.
	 * @see com.cse.gpass.GPassPage#onInit(int)
	 */
	public void onInit(int status) {
		tts.speak("Start button clicked", TextToSpeech.QUEUE_ADD, null);
	}

	/*
	 * start the start page and lock the phone
	 * (non-Javadoc)
	 * @see com.cse.bpass.BPassPage#startPage(int, int)
	 */
	protected void startPage(int width, int height) {
		setContentView(R.layout.start);
		Vibrator v = (Vibrator)getSystemService(Context.VIBRATOR_SERVICE);
		
		PasscodeView pv;
		pv = new PasscodeView(this, width, height, 1, v, tts);
		setContentView(pv);
	}
}
